<div class="login-form">
  <form
    class="login-form__form"
    autocomplete="off"
    [formGroup]="form"
    (keydown)="keyDownFunction($event)"
    (ngSubmit)="onLogin($event)"
  >
    <div class="login-form__input">
      <form-input
        inputName="email"
        [inputForm]="form"
        [validation]="formValidation['email']"
        label="ایمیل"
        [required]="'true'"
        placeholder="ایمیل را وارد کنید"
      >
      </form-input>
    </div>
    <br />

    <div class="login-form__input">
      <form-input
        type="password"
        inputName="password"
        [inputForm]="form"
        label="رمز عبور"
        [required]="'true'"
        placeholder="رمز عبور خود را وارد نمایید"
        [validation]="formValidation['password']"
      >
      </form-input>
    </div>
    <div class="login-form__input">
      <button
        mat-raised-button
        type="submit"
        color="primary"
        [disabled]="isPending"
      >
        <mat-progress-spinner
          color="primary"
          *ngIf="isPending"
          mode="indeterminate"
          class="progress-spinner"
        ></mat-progress-spinner>
        ورود به حساب کاربری
      </button>
    </div>
  </form>
</div>
